### Method

# GLib IOChannel read_unichar

#### Declaration

    GIOStatus
    g_io_channel_read_unichar (
      GIOChannel* channel,
      gunichar* thechar,
      GError** error
    )

#### Description

Reads a Unicode character from `channel`. This function cannot be called on a channel with `NULL` encoding.

#### Parameters

`thechar`

  Type: `gunichar*`

  A location to return a character.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GIOStatus`

A `GIOStatus`.